#!/bin/bash

BASE_DIR="$1"

# --- CONFIGURACIÓN CON RUTAS ABSOLUTAS ---
SOURCE_DIR="${BASE_DIR}/data" 
TIMESTAMP=$(date +%Y-%m-%d_%H-%M)
DEST_FILE="${BASE_DIR}/Copias_Backup/backup_${TIMESTAMP}.zip" 
# ------------------------------------------

echo "--- Iniciando copia de seguridad de: ${SOURCE_DIR} ---"

if [ -d "$SOURCE_DIR" ]; then
    
    echo "Comprimiendo a: $DEST_FILE"
    

    cd "$BASE_DIR" || exit 1
    

    zip -rq "$DEST_FILE" "data"
    
    if [ $? -eq 0 ]; then
        echo "La copia de seguridad comprimida se ha completado con éxito."
        exit 0
    else
        echo "ERROR: Fallo al crear el archivo ZIP."
        exit 1
    fi
else
    echo "ERROR: El directorio de origen (${SOURCE_DIR}) no existe. Abortando."
    exit 1
fi